
From: William Lee Irwin III <wli@holomorphy.com>

 * Lowered priority of "too many keys" message in drivers/input/keyboard/atkbd.c
This fixes Debian BTS #239036.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239036

	From: "Jon Thackray" <jgt@pobox.com>
	Message-ID: <16476.11084.179640.444619@localhost.localdomain>
	To: submit@bugs.debian.org
	Subject: Keyboard misbehaving

The keyboard under 2.6.4 seems to be behaving strangely, reporting unknown
key codes and too many keys pressed, even when no keys have been pressed. 
The keyboard is connected via an 8 way KVM switch, but was working quite
acceptably under 2.4.25 with no such messages.  Trying 2.6.3 is not an
option as it doesn't support the hardware properly, as previously reported.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/keyboard/atkbd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/keyboard/atkbd.c~lower-priority-of-too-many-keys-msg-in-atkbdc drivers/input/keyboard/atkbd.c
--- 25/drivers/input/keyboard/atkbd.c~lower-priority-of-too-many-keys-msg-in-atkbdc	2004-06-13 21:15:13.098559648 -0700
+++ 25-akpm/drivers/input/keyboard/atkbd.c	2004-06-13 21:15:13.102559040 -0700
@@ -328,7 +328,7 @@ static irqreturn_t atkbd_interrupt(struc
 			atkbd_report_key(&atkbd->dev, regs, KEY_HANJA, 3);
 			goto out;
 		case ATKBD_RET_ERR:
-			printk(KERN_WARNING "atkbd.c: Keyboard on %s reports too many keys pressed.\n", serio->phys);
+			printk(KERN_DEBUG "atkbd.c: Keyboard on %s reports too many keys pressed.\n", serio->phys);
 			goto out;
 	}
 
_
